## xserver-xorg-input-synaptics 0.14.3+seriouslythistime

=== Makefile ===
VERSION=0.14.3

# Define the TOP variable to build using include files from a local source tree.
#TOP = /usr/src/redhat/BUILD/XFree86-4.3.0/xc

INSTALLED_X = $(DESTDIR)/usr/X11R6
LOCAL_X = Xincludes/usr/X11R6
BINDIR = $(DESTDIR)/usr/local/bin
MANDIR = $(DESTDIR)/usr/local/man

ifeq ($(ARCH),)
  ARCH = $(shell /bin/arch)
endif
ifeq ($(ARCH),amd64)
  ARCH = x86_64
endif
ifeq ($(ARCH),x86_64)
  ARCH_DEFINES = -D__x86_64__ -D_XSERVER64
  LIBDIR = lib64
else
  ARCH_DEFINES = -D__i386__
  LIBDIR = lib
endif

ifeq ($(TOP),)
  # This hack attempts to check if the needed XFree86 header files are installed.
  # It checks for a needed XFree86 4.3.00 SDK header file that is not installed by
  # default. If it is present, then it assumes that all header files are present.
  # If it is not present, then it assumes that all header files are not present
  # and uses the local copy of the XFree86 4.2.0 header files.
  X_INCLUDES_ROOT = $(shell \
    if [ -f $(INSTALLED_X)/$(LIBDIR)/Server/include/xisb.h ] ; then \
      echo -n $(INSTALLED_X) ; \
    else \
      echo -n $(LOCAL_X) ; \
    fi )
  ALLINCLUDES = -I. -I$(X_INCLUDES_ROOT)/include/X11 \
		-I$(X_INCLUDES_ROOT)/include/X11/extensions \
		-I$(X_INCLUDES_ROOT)/$(LIBDIR)/Server/include
else
  SERVERSRC = $(TOP)/programs/Xserver
  ALLINCLUDES = -I. \
	-I$(SERVERSRC)/hw/xfree86/common \
	-I$(SERVERSRC)/hw/xfree86/os-support \
	-I$(SERVERSRC)/mi \
	-I$(SERVERSRC)/include \
	-I$(TOP)/include
  X_INCLUDES_ROOT = $(TOP)
endif

MODULE_DEFINES = -DIN_MODULE -DXFree86Module
PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

STD_DEFINES = -Dlinux -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE  -D_GNU_SOURCE  -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP -DXCSECURITY -DTOGCUP   -DDPMSExtension  -DPIXPRIV -DPANORAMIX  -DRENDER -DGCCUSESGAS -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH -DXFreeXDGA -DXvExtension -DXFree86LOADER  -DXFree86Server -DXF86VIDMODE  -DSMART_SCHEDULE -DBUILDDEBUG -DX_BYTE_ORDER=X_LITTLE_ENDIAN -DNDEBUG $(ARCH_DEFINES)
ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(MODULE_DEFINES)

check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

CCOPTIONS := -pedantic -Wall -Wpointer-arith
CCOPTIONS += $(call check_gcc,-fno-merge-constants,)
CCOPTIONS += $(call check_gcc,-fno-pic,)
CDEBUGFLAGS = -O2
CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES) -DVERSION="\"$(VERSION)\""
CFLAGSCLIENT = $(CDEBUGFLAGS) $(CCOPTIONS) -DVERSION="\"$(VERSION)\"" -I$(X_INCLUDES_ROOT)/include

CC = gcc

LDCOMBINEFLAGS = -r

SRCS = synaptics.c ps2comm.c eventcomm.c psmcomm.c alpscomm.c
OBJS = synaptics.o ps2comm.o eventcomm.o psmcomm.o alpscomm.o

.c.o:
	$(RM) $@
	$(CC) -c $(CFLAGS) $(_NOOP_) $*.c

all:: synaptics_drv.o synclient syndaemon

install: $(BINDIR)/synclient $(BINDIR)/syndaemon $(INSTALLED_X)/$(LIBDIR)/modules/input/synaptics_drv.o install-man

install-man: $(MANDIR)/man1/synclient.1 $(MANDIR)/man1/syndaemon.1 $(MANDIR)/man5/synaptics.5

$(MANDIR)/man1/synclient.1: manpages/synclient.1
	install --mode=0644 -D $< $@

$(MANDIR)/man1/syndaemon.1: manpages/syndaemon.1
	install --mode=0644 -D $< $@

$(MANDIR)/man5/synaptics.5: manpages/synaptics.5
	install --mode=0644 -D $< $@

$(BINDIR)/synclient : synclient
	install -D $< $@

$(BINDIR)/syndaemon : syndaemon
	install -D $< $@

$(INSTALLED_X)/$(LIBDIR)/modules/input/synaptics_drv.o : synaptics_drv.o
	install --mode=0644 -D $< $@

synaptics_drv.o: $(OBJS)
	$(RM) $@
	$(LD) $(LDCOMBINEFLAGS)  $(OBJS) -o $@

synclient.o	: synclient.c
	$(CC) $(CFLAGSCLIENT) -c -o $@ $<

synclient	: synclient.o
	$(CC) -o $@ $< -lm

syndaemon.o	: syndaemon.c
	$(CC) $(CFLAGSCLIENT) -c -o $@ $<

syndaemon	: syndaemon.o
	$(CC) -o $@ $< -lm -L$(INSTALLED_X)/$(LIBDIR) -lXext -lX11

synaptics.o : synaptics.h synproto.h Makefile
ps2comm.o   : ps2comm.h synproto.h synaptics.h
eventcomm.o : eventcomm.h linux_input.h synproto.h synaptics.h
psmcomm.o   : freebsd_mouse.h psmcomm.h synproto.h synaptics.h ps2comm.h
alpscomm.o  : alpscomm.h ps2comm.h synproto.h synaptics.h
synclient.o : synaptics.h Makefile
syndaemon.o : synaptics.h

clean::
	$(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut synclient syndaemon "#"* manpages/*~ synaptics-$(VERSION).tar.bz2

tags::
	etags -o TAGS *.c *.h

uninstall::
	$(RM) $(BINDIR)/synclient $(BINDIR)/syndaemon $(INSTALLED_X)/lib/modules/input/synaptics_drv.o $(MANDIR)/man1/synclient.1 $(MANDIR)/man1/syndaemon.1 $(MANDIR)/man5/synaptics.5

distribution : synaptics-$(VERSION).tar.bz2

ALLFILES = COMPATIBILITY FILES INSTALL INSTALL.DE INSTALL.FR LICENSE Makefile \
	NEWS README README.alps TODO Xincludes/ alps.patch linux_input.h \
	pc_keyb.c.diff.2.4.3 trouble-shooting.txt \
	synproto.h ps2comm.c ps2comm.h eventcomm.c eventcomm.h alpscomm.c alpscomm.h \
	psmcomm.c psmcomm.h freebsd_mouse.h \
	synaptics.c synaptics.h synaptics.spec \
	synclient.c syndaemon.c

DST=synaptics-$(VERSION)

synaptics-$(VERSION).tar.bz2 : FORCE
	rm -f $(DST).tar.bz2
	rm -rf $(DST)
	mkdir $(DST) $(DST)/manpages $(DST)/script $(DST)/test $(DST)/docs
	cp -a $(ALLFILES) $(DST)
	cp -a manpages/{synclient.1,syndaemon.1,synaptics.5} $(DST)/manpages/
	cp -a script/{usbmouse,usbhid} $(DST)/script/
	cp -a test/{test-pad.c,testprotocol.c} $(DST)/test/
	cp -a docs/tapndrag.dia $(DST)/docs/
	chmod u+w $(DST)/*
	tar cf $(DST).tar $(DST)
	rm -rf $(DST)
	bzip2 $(DST).tar

.PHONY: FORCE

## xserver-xorg-input-synaptics 1.2.2-2ubuntu5-mactel1

=== debian/changelog ===
xserver-xorg-input-synaptics (1.2.2-2ubuntu5-mactel1) maverick; urgency=low

  * Improved pointer stability when multiple fingers are over the touchpad.

 -- Wagner Volanin <ubuntu-linux@volanin.com.br>  Sat, 03 Oct 2010 12:00:00 -0300

xserver-xorg-input-synaptics (1.2.2-2ubuntu5) maverick; urgency=low

  * 115_evdev_only.patch was added but never applied. (LP: #624985)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sat, 18 Sep 2010 15:19:21 +0200

xserver-xorg-input-synaptics (1.2.2-2ubuntu4) maverick; urgency=low

  [Chase Douglas]
  * 115_evdev_only.patch:
    - Prevent non-evdev devices from firing the eventcomm AutoDevProbe callback
      (LP: #624985)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 15 Sep 2010 16:27:29 -0700

xserver-xorg-input-synaptics (1.2.2-2ubuntu3) maverick; urgency=low

  * Rebuild against new Xserver 1.9 ABI

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 09 Aug 2010 21:47:56 +1000

xserver-xorg-input-synaptics (1.2.2-2ubuntu2) maverick; urgency=low

  * 51-synaptics-quirks.conf, 66-xorg-synaptics.rules:
    - Put back quirk for Inspiron 1120 which was probably lost in a merge.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 06 Aug 2010 12:26:59 +0200

xserver-xorg-input-synaptics (1.2.2-2ubuntu1) maverick; urgency=low

  [ Robert Hooker ]
  * Merge from debian unstable, remaining changes:
    - Split out our synaptics quirks into 51-synaptics-quirks.conf
    - Add the udev rule back for tagging specific machines to be quirked
    - 103_enable_cornertapping.patch: Enable right/middle clicks by
      tapping in the bottom- and top-right corners.
    - 104_always_enable_tapping.patch: Enable tapping regardless of the
      presence of physical buttons.
    - 106_always_enable_vert_edge_scroll.patch: Enable vertical edge
      tapping by default even if we enable two-finger scrolling as well.
    - 114_jumpy_cursor_first_part.patch: Adds a property to enable filtering
      jumpy cursor problems on some machines.
  * Add a dependency on udev.

  [ Christopher James Halse Rogers ]
  * debian/gbp.conf:
    - Make git-buildpackage less annoying by specifying “ubuntu” as our debian
      branch.

 -- Robert Hooker <sarvatt@ubuntu.com>  Mon, 07 Jun 2010 19:07:59 -0400

xserver-xorg-input-synaptics (1.2.2-2) unstable; urgency=low

  * Cherry-pick patch from upstream git to add the xorg.conf.d snippet.
  * Replace our local copy with that one.
  * Build-Depend on new xserver-xorg-dev, which lets us install the snippet to
    /usr/share/X11/xorg.conf.d.
  * Drop postinst, we don't need to trigger udev anymore.
  * Sanitize installation of manpage into the package.
  * Update to new xsfbs, use ${xinpdriver:Depends} in debian/control.
  * Drop dependency on udev, since we have no udev rules or trigger.

  [ Cyril Brulebois ]
  * Add myself to Uploaders.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 17 Apr 2010 17:48:26 +0200

xserver-xorg-input-synaptics (1.2.2-1ubuntu2) lucid; urgency=low

  * 10-synaptics.conf: Use 'MatchDevicePath "/dev/input/event*"'.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 01 Apr 2010 14:34:20 +0300

xserver-xorg-input-synaptics (1.2.2-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable. (LP: #546933)
  * Rewrite old quirks to use ID_INPUT.tags.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 31 Mar 2010 00:27:07 +0300

xserver-xorg-input-synaptics (1.2.2-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * Add xserver-xorg-input-synaptics-dev for the header and .pc files.
    (LP: #340340)
  * Run udevadm trigger on postinst, and depend on udev [linux-any].
  * Add 10-synaptics.conf.
  * Drop Ubuntu specific quirks from the udev rules, add a placeholder.

  [ Julien Cristau ]
  * Add hurd-i386 to the Architecture field.  Requested by Samuel Thibault.
  * Drop references to hal from debian/NEWS, README.Debian and synaptics(4)
    (closes: #564549).
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!

  [ Brice Goglin ]
  * Fix reference to the synaptics manpage in README.Debian,
    closes: #568628.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 30 Mar 2010 21:51:15 +0300

xserver-xorg-input-synaptics (1.2.1-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

  [ Cyril Brulebois ]
  * Add ${misc:Depends} to Depends.
  * Remove hardcoded libxi6 from Depends, and wrap them.
  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 08 Jan 2010 00:55:04 +0100

xserver-xorg-input-synaptics (1.2.0-3ubuntu1) lucid; urgency=low

  * Merge from Debian experimental, remaining changes:
    - 103_enable_cornertapping.patch: Enable right/middle clicks by
      tapping in the bottom- and top-right corners.
    - 104_always_enable_tapping.patch: Enable tapping regardless of the
      presence of physical buttons.
    - 106_always_enable_vert_edge_scroll.patch: Enable vertical edge 
      tapping by default even if we enable two-finger scrolling as well.
  * Disabled until fixed to apply and work:
    - 114_jumpy_cursor_first_part.patch
  * Dropped, using udev now:
    - 115_jumpy_cursor_second_part.patch

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 07 Dec 2009 22:58:38 +0200

xserver-xorg-input-synaptics (1.2.0-3) experimental; urgency=low

  [ Julien Cristau ]
  * Install an udev rule instead of an fdi file on linux.
  * Build against xserver 1.7 (closes: #549109).
  * Add sh4 and kfreebsd-{amd64,i386} to the arch list (closes: #557881,
    #559401).

  [ Cyril Brulebois ]
  * Upload to experimental.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Dec 2009 21:27:48 +0100

xserver-xorg-input-synaptics (1.2.0-2) unstable; urgency=low

  [ Mattia Dongili ]
  * Negate the match on keyboard capabilities in the default fdi file
    (closes: #557252).

 -- Mattia Dongili <malattia@debian.org>  Sat, 21 Nov 2009 13:00:37 +0900



=== debian/control ===
Source: xserver-xorg-input-synaptics
Section: x11
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Mattia Dongili <malattia@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 5.0.0),
 libx11-dev,
 libxext-dev,
 libxi-dev (>= 2:1.2.0),
 x11proto-core-dev,
 xserver-xorg-dev (>= 2:1.7.6.901),
 pkg-config,
 quilt,
 automake,
 libtool,
 xutils-dev,
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-input-synaptics
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-synaptics.git

Package: xserver-xorg-input-synaptics
Architecture: alpha amd64 arm armeb armel hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel powerpc sh4 sparc
Depends:
 udev [linux-any],
 ${shlibs:Depends},
 ${xinpdriver:Depends},
 ${misc:Depends}
Conflicts: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Replaces: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Provides: ${xinpdriver:Provides}, xfree86-driver-synaptics, xorg-driver-synaptics
Suggests: gpointing-device-settings, touchfreeze
Description: Synaptics TouchPad driver for X.Org server
 This package provides an input driver for the X.Org X server to enable
 advanced features of the Synaptics Touchpad including:
 .
  * Movement with adjustable, non-linear acceleration and speed
  * Button events through short touching of the touchpad
  * Double-Button events through double short touching of the touchpad
  * Dragging through short touching and holding down the finger on the touchpad
  * Middle and right button events on the upper and lower corner of the touchpad
  * Vertical scrolling (button four and five events) through moving the finger 
    on the right side of the touchpad
  * The up/down button sends button four/five events
  * Horizontal scrolling (button six and seven events) through moving the finger 
    on the lower side of the touchpad
  * The multi-buttons send button four/five events, and six/seven events for 
    horizontal scrolling
  * Adjustable finger detection
  * Multifinger taps: two finger for middle button and three finger for right 
    button events. (Needs hardware support. Not all models implement this 
    feature.)
  * Run-time configuration using shared memory. This means you can change 
    parameter settings without restarting the X server (see synclient(1)).
  * It also provides a daemon to disable touchpad while typing at the keyboard 
    and thus avoid unwanted mouse movements (see syndaemon(1)).
 .

Package: xserver-xorg-input-synaptics-dev
Section: libdevel
Architecture: all
Depends:
 x11proto-core-dev,
 ${misc:Depends},
Description: Synaptics TouchPad driver for X.Org server (development headers)
 This package contains the development headers for the Synaptics input
 driver found in xserver-xorg-input-synaptics. Non-developers likely have
 little use for this package.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xserver-xorg-input-synaptics package.
# Copyright © 2008 Mattia Dongili <malattia@debian.org>
#
# Based on debian/rules for the Debian xserver-xorg-input-evdev package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=xserver-xorg-input-synaptics

include debian/xsfbs/xsfbs.mk

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

#confflags += --disable-static

configure: $(STAMP_DIR)/patch
	autoreconf -vfi

build/config.status: configure
	mkdir -p build
	cd build && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info $(confflags) \
	             CFLAGS="$(CFLAGS)" 
	

build: build-stamp
build-stamp: build/config.status
	dh_testdir
	cd build && $(MAKE)
	>$@

clean: xsfclean
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf build
	rm -f $$(find -name Makefile.in)
	rm -f compile config.guess config.sub configure depcomp install-sh
	rm -f ltmain.sh missing aclocal.m4 config.h.in

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-s
binary-arch: build install serverabi
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_install --sourcedir=debian/tmp --list-missing --exclude=synaptics_drv.la
ifeq ($(DEB_HOST_ARCH_OS), linux)
	install -d debian/xserver-xorg-input-synaptics/lib/udev/rules.d
	install -m 644 debian/local/66-xorg-synaptics.rules debian/xserver-xorg-input-synaptics/lib/udev/rules.d
	install -d debian/xserver-xorg-input-synaptics/usr/share/X11/xorg.conf.d
	install -m 644 debian/local/51-synaptics-quirks.conf debian/xserver-xorg-input-synaptics/usr/share/X11/xorg.conf.d
endif
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -- --warnings=6
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://xorg.freedesktop.org/releases/individual/driver/ xf86-input-synaptics-(.*)\.tar\.gz
